List Wallet Profiles
curl --request GET \
--url https://api.example.com/v1/wallet-profilesimport requests
url = "https://api.example.com/v1/wallet-profiles"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/wallet-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Wallet Profiles
List Wallet Profiles
GET /v1/wallet-profiles — List wallet profiles for your organization
GET
/
v1
/
wallet-profiles
List Wallet Profiles
Endpoint:
GET https://api.rebelfi.io/v1/wallet-profilesExample Request
curl -X GET "https://api.rebelfi.io/v1/wallet-profiles" \
-H "x-api-key: your_api_key"
const { walletProfiles } = await client.walletProfiles.list();
Example Response
{
"walletProfiles": [
{
"id": 1,
"name": "Production",
"isEnabled": true,
"enabledChains": ["solana", "ethereum", "base"],
"walletCount": 1250
},
{
"id": 2,
"name": "Staging",
"isEnabled": true,
"enabledChains": ["solana"],
"walletCount": 50
}
]
}
Response Fields
| Field | Type | Description |
|---|---|---|
walletProfiles | WalletProfile[] | List of wallet profiles |
WalletProfile Object
| Field | Type | Description |
|---|---|---|
id | number | Wallet profile identifier |
name | string | Profile name |
isEnabled | boolean | Whether the profile is currently enabled |
enabledChains | string[] | Blockchain networks enabled for this profile |
walletCount | number | Number of wallets assigned to this profile |